#
#       Makefile for dclf90/f77
#
#       Copyright (C) 2000-2022 GFD Dennou Club. All rights reserved.
#

include ../../../../Mkinclude

LIBNAME	= f90f77
LIBFSRCS	= bit_interface.f90 blk_interface.f90 chg_interface.f90 \
		  chk_interface.f90 chn_interface.f90 chr_interface.f90 \
		  clc_interface.f90 ctr_interface.f90 dat_interface.f90 \
		  fft_interface.f90 fio_interface.f90 fmt_interface.f90 \
		  fnc_interface.f90 gnm_interface.f90 gr_interface.f90 \
		  hex_interface.f90 ifa_interface.f90 ind_interface.f90 \
		  int_interface.f90 intr_interface.f90 lrl_interface.f90 \
		  map_interface.f90 mis_interface.f90 ode_interface.f90 \
		  os_interface.f90  ran_interface.f90 rea_interface.f90 \
		  rfa_interface.f90 rfb_interface.f90 rnm_interface.f90 \
		  sc_interface.f90  sg_interface.f90  sht_interface.f90 \
		  sl_interface.f90  st_interface.f90  sub_interface.f90 \
		  sw_interface.f90  sys_interface.f90 sz_interface.f90 \
		  tim_interface.f90 uc_interface.f90  ud_interface.f90 \
		  ue_interface.f90  ug_interface.f90  uh_interface.f90 \
		  ul_interface.f90  um_interface.f90  us_interface.f90 \
		  uu_interface.f90  uv_interface.f90  uw_interface.f90 \
		  ux_interface.f90  uy_interface.f90  uz_interface.f90 \
		  via_interface.f90 vib_interface.f90 vra_interface.f90 \
		  vrb_interface.f90 vst_interface.f90 xfc_interface.f90 \
		  dcl_f77.f90
LIBCSRCS	=
LIBSRCS	= $(LIBFSRCS) $(LIBCSRCS)
LIBFOBJS	= bit_interface.o blk_interface.o chg_interface.o \
		  chk_interface.o chn_interface.o chr_interface.o \
		  clc_interface.o ctr_interface.o dat_interface.o \
		  fft_interface.o fio_interface.o fmt_interface.o \
		  fnc_interface.o gnm_interface.o gr_interface.o \
		  hex_interface.o ifa_interface.o ind_interface.o \
		  int_interface.o intr_interface.o lrl_interface.o \
		  map_interface.o mis_interface.o ode_interface.o \
		  os_interface.o  ran_interface.o rea_interface.o \
		  rfa_interface.o rfb_interface.o rnm_interface.o \
		  sc_interface.o  sg_interface.o  sht_interface.o \
		  sl_interface.o  st_interface.o  sub_interface.o \
		  sw_interface.o  sys_interface.o sz_interface.o \
		  tim_interface.o uc_interface.o  ud_interface.o \
		  ue_interface.o  ug_interface.o  uh_interface.o \
		  ul_interface.o  um_interface.o  us_interface.o \
		  uu_interface.o  uv_interface.o  uw_interface.o \
		  ux_interface.o  uy_interface.o  uz_interface.o \
		  via_interface.o vib_interface.o vra_interface.o \
		  vrb_interface.o vst_interface.o xfc_interface.o \
		  dcl_f77.o
LIBCOBJS	=
LIBOBJS	= $(LIBFOBJS) $(LIBCOBJS)



object: $(LIBOBJS)
	install -m 644 *$(MODEXT) $(LINCDIR)

library: archive ranlib

archive:
	@$(AR) $(ARFLAGS) $(LDCLLIBFILE) $(LIBOBJS)

ranlib:
	$(RANLIB) $(LDCLLIBFILE)

clean:
# caution: MODEXT may be .f90 and should not be used here
	$(RM) -f *.o *.mod *.d work.pc* *~

